Bug 69489 - [chromium] Remove USE(THREADED_COMPOSITING) from the tree
: [chromium] Remove USE(THREADED_COMPOSITING) from the tree
Status: RESOLVED WONTFIX
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: James Robinson
:
Depends on: 69528 69618
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-05 17:34 PDT by James Robinson
Modified: 2013-04-09 16:28 PDT (History)
7 users (show)

See Also:


Attachments
Patch (5.50 KB, patch)
2011-10-05 17:35 PDT, James Robinson
no flags Details | Formatted Diff | Diff
Patch (6.26 KB, patch)
2011-10-06 15:35 PDT, James Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Robinson 2011-10-05 17:34:30 PDT
[chromium] Remove USE(THREADED_COMPOSITING) from the tree
Comment 1 James Robinson 2011-10-05 17:35:05 PDT
Created attachment 109890 [details]
Patch
Comment 2 James Robinson 2011-10-05 17:36:07 PDT
we don't compile currently with WTF_USE_THREADED_COMPOSITING set
Comment 3 WebKit Review Bot 2011-10-06 00:11:16 PDT
Comment on attachment 109890 [details]
Patch

Clearing flags on attachment: 109890

Committed r96791: <http://trac.webkit.org/changeset/96791>
Comment 4 WebKit Review Bot 2011-10-06 00:11:20 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 James Robinson 2011-10-06 15:35:31 PDT
Created attachment 110045 [details]
Patch
Comment 6 James Robinson 2011-10-06 15:38:07 PDT
I figured out why this test failed on mac and win - a fascinating to debug issue.  The change with comment is in CCLayerTreeHostTest::onEndTest().  I'm not completely sure how this passed on linux before, I guess that the scheduling just worked out such that it worked.

Darin - the webkit_support::QuitMessageLoop() API seems a little error-prone, or maybe it just needs a comment.  MessageLoop::Quit() has a friendly comment explaining that pending tasks will run after the call to Quit() returns, but you just have to magically know that for the webkit_support version which tripped up this test.
Comment 7 James Robinson 2011-10-06 17:16:51 PDT
Comment on attachment 110045 [details]
Patch

Clearing flags on attachment: 110045

Committed r96879: <http://trac.webkit.org/changeset/96879>
Comment 8 James Robinson 2011-10-06 17:16:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 James Robinson 2011-10-07 18:57:43 PDT
Looks like this isn't gonna stick because our tests are crashy on shutdown and that last change wasn't sufficient to resolve it.

http://trac.webkit.org/changeset/96930
Comment 10 Stephen Chenney 2013-04-09 16:28:15 PDT
Marking test failures as WontFix. Bug is still accessible and recording in TestExpectations.